## Contents

- Properties
- Methods

class solace.AbstractQueueDescriptor

This class is not exposed for construction by API users.

This is a base class for solace.QueueDescriptor. API users should access the methods described here through a solace.QueueDescriptor.

## Constructor Top

| AbstractQueueDescriptor ( ) |  |

## Properties Top

Boolean | durable |  |
solace.QueueType | type |  |

## Methods Top

solace.QueueType | getType ( ) |
Boolean | isDurable ( ) |
String | toString ( ) |

## Constructor details Top

###
AbstractQueueDescriptor ( )

This class is not exposed for construction by API users.

This is a base class for solace.QueueDescriptor. API users should access the methods described here through a solace.QueueDescriptor.

## Properties Detail Top

###
public Boolean durable

True if this descriptor refers to a durable queue.

###
public solace.QueueType type

The Queue Type.

## Methods Detail Top

###
public solace.QueueType getType ( )

Gets the queue type to which this descriptor refers.

#### Return Value

solace.QueueType | The queue type that this object describes

###
public Boolean isDurable ( )

Gets whether this descriptor refers to a durable queue.

#### Return Value

Boolean | `true` if this describes a durable queue

###
public String toString ( )

An informational summary of this object, subject to change.

#### Return Value

String | A summary of this object.